Skip to main content
GET
/
utils
/
{resource_type}
/
{resource_uri}
/
fk-edges
List FK edges
curl --request GET \
  --url https://api.example.com/utils/{resource_type}/{resource_uri}/fk-edges \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Project-ID: <x-project-id>'
[
  {
    "from_table_fqn": "<string>",
    "from_column": "<string>",
    "to_table_fqn": "<string>",
    "to_column": "<string>",
    "id": "<string>",
    "organization_id": "<string>",
    "project_id": "<string>",
    "resource_uri": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string
required

Path Parameters

resource_type
string
required
resource_uri
string
required

Query Parameters

table_fqn
string | null

Filter by table FQN

Response

Successful Response

from_table_fqn
string
required

Source table FQN

Maximum string length: 1024
from_column
string
required

Source column name

Maximum string length: 255
to_table_fqn
string
required

Target table FQN

Maximum string length: 1024
to_column
string
required

Target column name

Maximum string length: 255
id
string
required

Edge ID

organization_id
string
required

Organization ID

project_id
string
required

Project ID

resource_uri
string
required

Resource URI

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp